Package org.lwjgl.opengles

# Class OESPackedDepthStencil

java.lang.Object
org.lwjgl.opengles.OESPackedDepthStencil

public final class OESPackedDepthStencil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DEPTH_STENCIL_OES`
Accepted by the <format> parameter of TexImage2D and TexSubImage2D and by the <internalformat> parameter of TexImage2D:
`static final int`
`GL_DEPTH24_STENCIL8_OES`
Accepted by the <internalformat> parameter of RenderbufferStorage, and returned in the <params> parameter of GetRenderbufferParameteriv when <pname> is RENDERBUFFER_INTERNAL_FORMAT:
`static final int`
`GL_UNSIGNED_INT_24_8_OES`
Accepted by the <type> parameter of TexImage2D and TexSubImage2D:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DEPTH_STENCIL_OES

public static final int GL_DEPTH_STENCIL_OES
Accepted by the <format> parameter of TexImage2D and TexSubImage2D and by the <internalformat> parameter of TexImage2D:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_24_8_OES

public static final int GL_UNSIGNED_INT_24_8_OES
Accepted by the <type> parameter of TexImage2D and TexSubImage2D:

See Also:
  - Constant Field Values

### GL_DEPTH24_STENCIL8_OES

public static final int GL_DEPTH24_STENCIL8_OES
Accepted by the <internalformat> parameter of RenderbufferStorage, and returned in the <params> parameter of GetRenderbufferParameteriv when <pname> is RENDERBUFFER_INTERNAL_FORMAT:

See Also:
  - Constant Field Values